Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1054399 - Trivial patch to enable ppc64le and speex
Summary: Trivial patch to enable ppc64le and speex
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: speex
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-01-16 18:22 UTC by Brent Baude
Modified: 2014-01-17 12:44 UTC (History)
1 user (show)

Fixed In Version: speex-1.2-0.19.rc1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-17 12:44:33 UTC


Attachments (Terms of Use)

Description Brent Baude 2014-01-16 18:22:51 UTC
Please consider the following patch to enable the ppc64le arch and speex.  This patch is very similar to aarch:

This is just for config.guess:


--- speex-1.2rc1/config.guess	2013-11-05 15:57:43.000000000 +0100
+++ speex-1.2rc1/config.guess.new	2013-11-05 15:57:30.000000000 +0100
@@ -979,6 +979,9 @@ EOF
     ppc64:Linux:*:*)
 	echo powerpc64-unknown-linux-gnu
 	exit ;;
+    ppc64le:Linux:*:*)
+        echo powerpc64le-unknown-linux-gnu
+        exit ;;
     ppc:Linux:*:*)
 	echo powerpc-unknown-linux-gnu
 	exit ;;

And for the speex.spec:
diff --git a/speex.spec b/speex.spec
index cf8495b..e843968 100644
--- a/speex.spec
+++ b/speex.spec
@@ -10,6 +10,7 @@ Source0:	http://downloads.xiph.org/releases/speex/%{name}-%{version}%{rc_ver}.ta
 BuildRequires:	libogg-devel
 # update config.guess and config.sub for aarch64
 Patch1:		speex-aarch64.patch
+Patch2:         speex-ppc64le.patch
 
 %description
 Speex is a patent-free compression format designed especially for
@@ -40,6 +41,7 @@ speech. This package contains tools files and user's manual for %{name}.
 %prep
 %setup -q -n %{name}-%{version}%{rc_ver}
 %patch1 -p1 -b .aarch64
+%patch2 -p1 -b .ppc64le
 
 %build
 %configure --disable-static


Note You need to log in before you can comment on or make changes to this bug.